---
header-includes:
  - \usepackage[T1]{fontenc}
  - \usepackage[french]{babel}
  - \usepackage{datetime}
  - \usepackage{hyperref}
---

# Semaine 2: Introduction à l'intelligence artificielle

## Introduction to artificial intelligence, Philip C. Jackson, Jr.
Extraits du livre Introduction to artificial intelligence de Philip C. Jackson, Jr.

Ce livre a été publié initialement en 1974 et réédité en 1985. C'est la copie que je possède.

Un résumé des différentes sections:

### Introduction
1. L'intelligence, c'est *agir correctement* dans une situation donnée. La recherche se concentre sur le *succès partiel* pour éventuellement éliminer le maximum d'erreurs.
1. Tests d'intelligence: capacité de résolution de problèmes
1. Différents types d'appretissage: scientifique (intellectuel), subconscient, émotionnel, inspirationnel (surnaturel)
1. Aptitudes: domaines des problèmes à résoudre
1. Neurones, mémoire à court terme et long terme. Fonctionnement toujours inconnu.
1. Pas besoin de machines différentes pour différents problèmes:
1. Architecture générale:
    - Entrée
    - Contrôle
    - Logique
    - Stockage
    - Sortie

### Mathématiques

1. Concept de phénomène ou de processus, occurence:
    - Discret
    - Non-discret
    - Continu
1.  automate avec un nombre fini d'états
    - fonction de transition
    - récursivité
1. On ne sait pas si l'intelligence artificielle générale est atteignable avec des ordinateurs

### Résolution de problèmes

Différentes approches de résolution de problèmes:

1. Approches générales
    - Langages symboliques (LISP)
    - Plusieurs milliers d'articles, conscient que c'est embryonnaire
1. Environnements
    - Machines capables d'exister d'elles-mêmes dans un environnement du monde réel
1. Aptitudes
    - Structures pour la conception d'aptitudes mécaniques
1. Intelligence artificielle générale: machine ou procédure qui a des aptitudes pour résoudre différents types de problèmes, jouer différents jeux, prouver différents théorèmes, reconnaissance de motifs et compréhension de langages.
    - Approche évolutionnaire
    - Approche par raisonnement
1. Le concept de problème:
    - Espace de situations (pleinement spécifié ou partiellement)
        - Notion d'objectif ou de solution
        - Plan, stratégie et pas nécessairement un résultat déterminé
    - Inférence

Types de problèmes:

1. Problèmes avec espace-état
    - Recherche heuristique
    - Réduction du problème
1. Problèmes de planification et raisonnement

### Jouer à des jeux

1. Stratégies, très grands espaces-états
1. Échecs, Dames, Go, Bridge, Poker, ... 
1. Programmes généraux: différentes classes de jeux

### Perception de motifs

1. Définitions:
    - Classification
    - Association
    - Apprentissage
1. Reconnaissance de formes, structures syntaxiques
1. Vision par ordinateur. détection de contours, détection d'objets
    - Arche de Winston
    - Graphe de description

### Preuve de théorèmes

1. Calcul des prédicats de premier ordre
1. Types:
    - Basé sur la résolution
    - Basé sur la recherche heuristique
1. Raisonnement par analogie
1. Résolution de problèmes: décrire le problème sous forme de calcul des prédicats
1. Écriture de programmes

### Traitement d'information sémantique

- Syntaxe, Signification, Génération
- Langages naturels, artificiels

Lien entre la structure de la phrase et le sens qu'elle contient. Deux approches:
1. Grammaire systémique
1. Grammaire transformationnelle

### Traitement en parallèle et systèmes évolutionnaires

1. Automates cellulaires: graphe dont chaque noeud est une machine à nombre finis d'états.
2. Systèmes hiérarchiques: collection ordonnée de systèmes, machines.
3. Systèmes auto-organisés: collection de systèmes pouvent s'organiser temporairement pour résoudre un problème dans un environnement donné.
    - Voitures contrôlées par ordinateur: chaque voiture est une intelligence artificielle
    - Communication entre les systèmes
4. Systèmes évolutionnaires

### La récolte de l'intelligence artificielle

1. Robots: intelligence mécanique capable d'évoluer dans le monde réel.
2. Possibilités: Références à Azimov: 
    - Dictateur machine 
    - Machine intégrée à la nature.

## Émission La Sphère de Radio-Canada, 9 septembre 2017

- [L'intelligence artificielle pour les nuls - La sphère](http://medias-balado.radio-canada.ca/diffusion/2017/09/balado/src/CBF/2017-09-10_11_44_33_laspherebalado_0000.mp3)

- Il y a quelques années, mettre IA dans une demande de subventions était une mauvaise idée

### L'histoire de l'intelligence artificielle avec Martin Lessard

- Element AI: Plus grande levée de fonds en capital de risque pour une startup en intelligence artificialle.
- [Application of Deep Convolutional Neural Networks for Detecting Extreme Weather in Climate Datasets](https://arxiv.org/abs/1605.01156). Selon Prabhat, Pas assez de données pour l'instant, on devra attendre plusieurs années.
- [Le temps des algorithmes, Gilles Dowek, Serge Abiteboul](https://www.editions-lepommier.fr/le-temps-des-algorithmes)
- Iliade d'Homère: machines qui travaillent pour lui
- Philosophie: méthode structurée pour argumenter, syllogismes
- Algorithmes: recette mathématique
- Cerveau électronique, recréer l'intelligence avec l'électronique. Depuis environ 50 ans. Conférence de Dartmouth 1956. John McCarthy, Marvin Minsky, Shannon, Alan Turing.
- Intelligence artificielle forte (générale) vs. faible (spécialisé)
- Ancienne génération: Systèmes experts, arbres de décisions, voir toutes les possibilités. Programmés à priori.
- Nouvelle génération: apprendre à mesure que l'évènement se déroule. Neurones: bout de code. Réseau de neurones. Retenir l'information de manière plus efficace que les algorithmes précédents. Il faut alimenter le réseau avec des données.
- Depuis 5 ans: Matériel peu dispendieux, beaucoup de puissance de calcul et beaucoup de données.

### Les mythes sur l’intelligence artificielle : Entrevue avec Joëlle Pineau

- Hawking, Elon Musk: Craintes par rapport aux avancées de l'intelligence artificielle 
- Les chercheurs sont beaucoup moins alarmistes: sommme de petites découvertes
- Ce qui dérange avec les médias: 
    - Aspect épeurant joue dans l'imaginaire
    - Passer à côté de trucs intéressants, en santé par exemple
    - Grandes pertes d'emploi: transports, centres d'appels. On a vécu d'autres transformations. Agriculture, entrée des femmes, ... Création de nouveaux emplois.
- Métiers qui demandent davantage d'études ? Flexibilité et complexité d'interaction humaine, soutien aux enfants, personnes agées, malades. Redonner de la valeur à des métiers actuellement peu valorisés.
- Robots qui ont développé leur propre langue chez Facebook ? Sensationnalisme
- Impacts éthiques: Relève d'encadrer les mathématiques ... Encadrement dans des domaines précis plutôt ?

